version: '3'

services:
  es:
    image: docker.elastic.co/elasticsearch/elasticsearch:5.4.0
    ports:
      - 9200:9200
    environment:
      - cluster.name=docker-kata
      - transport.host=0.0.0.0
      - http.host=0.0.0.0
      - bootstrap.memory_lock=true
      - "ES_JAVA_OPTS=-Xms512m -Xmx512m"
      - xpack.security.enabled=false
    ulimits:
      memlock:
        soft: -1
        hard: -1
